Method: advertisers.reachForecast.generateReachForecast

特定の広告主とターゲティング構成のリーチ予測を生成します。

HTTP リクエスト

POST https://displayvideo.googleapis.com/v4/advertisers/{advertiserId}/reachForecast:generateReachForecast

この URL は gRPC Transcoding 構文を使用します。

パスパラメータ

パラメータ
advertiserId

string (int64 format)

必須。予定されているキャンペーンを実施する広告主の ID。

リクエストの本文

リクエストの本文には、次の構造のデータが含まれます。

JSON 表現
{
  "targeting": {
    object (Targeting)
  },
  "campaignDuration": {
    object (CampaignDuration)
  },
  "currencyCode": string,
  "plannedProducts": [
    {
      object (PlannedProduct)
    }
  ],
  "minEffectiveFrequency": integer
}
フィールド
targeting

object (Targeting)

必須。予定されているキャンペーンのターゲット設定パラメータ。

campaignDuration

object (CampaignDuration)

必須。予定されているキャンペーンの期間。

currencyCode

string

必須。プランの通貨コード(ISO 4217 形式)。

plannedProducts[]

object (PlannedProduct)

必須。予測に含める広告申込情報のリスト。

minEffectiveFrequency

integer

省略可。報告されたリーチ指標の最小有効フリークエンシー。広告が効果的であると見なされるために、ユーザーが広告に接触する必要がある最小回数です。この設定はレポートにのみ影響します。

1 ~ 10 の範囲で指定してください。指定しない場合、デフォルトの 1 が適用されます。

レスポンスの本文

ReachForecastService.GenerateReachForecast のレスポンス メッセージ。

成功した場合、レスポンスの本文には次の構造のデータが含まれます。

JSON 表現
{
  "onTargetAudienceMetrics": {
    object (OnTargetAudienceMetrics)
  },
  "reachCurve": {
    object (ReachCurve)
  }
}
フィールド
onTargetAudienceMetrics

object (OnTargetAudienceMetrics)

ターゲット地域の推定オーディエンス サイズ。

reachCurve

object (ReachCurve)

生成された予測曲線。

認可スコープ

次の OAuth スコープが必要です。

  • https://www.googleapis.com/auth/display-video

詳細については、OAuth 2.0 Overview をご覧ください。

ターゲティング

プランニングされたキャンペーンのターゲティング設定。

JSON 表現
{
  "plannableLocationIds": [
    string
  ],
  "ageRange": enum (PlannableAgeRange),
  "genders": [
    enum (Gender)
  ],
  "devices": [
    enum (DeviceType)
  ]
}
フィールド
plannableLocationIds[]

string (int64 format)

必須。ターゲットに設定するプラン可能な地域の ID。

プラン可能な地域は、reachForecast.retrievePlannableLocations メソッドを使用して取得できます。

ageRange

enum (PlannableAgeRange)

省略可。ターゲットにする年齢層。

genders[]

enum (Gender)

省略可。ターゲットに設定する性別オプション。

devices[]

enum (DeviceType)

省略可。ターゲットとするデバイス。

CampaignDuration

リーチ プランの期間。

JSON 表現
{

  // Union field duration can be only one of the following:
  "durationDays": integer,
  "dateRange": {
    object (DateRange)
  }
  // End of list of possible types for union field duration.
}
フィールド
共用体フィールド duration。キャンペーン期間を選択できます。duration は次のいずれかになります。
durationDays

integer

必須。プランの対象となる日数。

dateRange

object (DateRange)

必須。プランの対象期間。

PlannedProduct

プラン内の特定のプロダクトの構成。

JSON 表現
{
  "plannableProductCode": string,
  "budgetMicros": string,
  "advancedProductTargeting": {
    object (AdvancedProductTargeting)
  }
}
フィールド
plannableProductCode

string

必須。アイテムのコード(例: VIDEO_REACH_CAMPAIGN)。

budgetMicros

string (int64 format)

必須。このプロダクトの予算(マイクロ単位)。

advancedProductTargeting

object (AdvancedProductTargeting)

省略可。広告申込情報レベルのターゲティングの上書き(省略可)。

AdvancedProductTargeting

商品固有のターゲット設定の上書き。

JSON 表現
{
  "surfaceTargetingSettings": {
    object (SurfaceTargetingSettings)
  },
  "targetFrequency": {
    object (TargetFrequency)
  },
  "frequencyCap": {
    object (FrequencyCap)
  },
  "ageRange": enum (PlannableAgeRange),
  "genders": [
    enum (Gender)
  ],
  "devices": [
    enum (DeviceType)
  ],
  "userInterestIds": [
    string
  ],
  "userListIds": [
    string
  ],
  "youtubeSelectSettings": {
    object (YouTubeSelectSettings)
  },
  "dateRange": {
    object (DateRange)
  },
  "plannableLocationIds": [
    string
  ],
  "network": enum (PlannableNetwork)
}
フィールド
surfaceTargetingSettings

object (SurfaceTargetingSettings)

省略可。ターゲティング可能なサーフェス。

targetFrequency

object (TargetFrequency)

省略可。一定期間に同じユーザーに広告が表示される平均回数。

frequencyCap

object (FrequencyCap)

省略可。特定の商品のフリークエンシー キャップ。

ageRange

enum (PlannableAgeRange)

省略可。ターゲットにする年齢層。

genders[]

enum (Gender)

省略可。ターゲットに設定する性別オプション。

devices[]

enum (DeviceType)

省略可。ターゲットとするデバイス。

userInterestIds[]

string

省略可。ターゲットにするユーザーの興味 / 関心の ID。

プランニング可能なユーザーのインタレストは、reachForecast.retrievePlannableUserInterests メソッドを使用して取得できます。

userListIds[]

string

省略可。ターゲットにするユーザーリストの ID。

プラン可能なユーザーリストは、reachForecast.retrievePlannableUserInterests メソッドを使用して取得できます。

youtubeSelectSettings

object (YouTubeSelectSettings)

省略可。YouTube Select の設定。

dateRange

object (DateRange)

省略可。ターゲットにする期間。

plannableLocationIds[]

string (int64 format)

省略可。ターゲットとするプラン可能な地域 ID。

network

enum (PlannableNetwork)

省略可。ターゲットにするネットワーク。

SurfaceTargetingSettings

サーフェス ターゲティングの選択。

JSON 表現
{
  "surfaces": [
    enum (PlannableSurface)
  ]
}
フィールド
surfaces[]

enum (PlannableSurface)

省略可。ターゲットにするサーフェス。

YouTubeSelectSettings

YouTube Select Lineups の設定。

JSON 表現
{
  "lineupId": string
}
フィールド
lineupId

string (int64 format)

省略可。YouTube セレクト ラインナップ の ID。

OnTargetAudienceMetrics

ターゲットとする地域の推定オーディエンス サイズ。

JSON 表現
{
  "youtubeAudienceSize": string,
  "censusAudienceSize": string
}
フィールド
youtubeAudienceSize

string (int64 format)

YouTube オーディエンスの推定サイズ。

censusAudienceSize

string (int64 format)

ターゲット地域の国勢調査データに基づく視聴者数。

ReachCurve

生成されたリーチ曲線。

JSON 表現
{
  "reachForecasts": [
    {
      object (ReachForecast)
    }
  ]
}
フィールド
reachForecasts[]

object (ReachForecast)

曲線上のポイント(費用順)。

ReachForecast

リーチ曲線の単一のポイント。

JSON 表現
{
  "costMicros": string,
  "plannedProductReachForecasts": [
    {
      object (PlannedProductReachForecast)
    }
  ],
  "forecast": {
    object (PlannedProductForecast)
  }
}
フィールド
costMicros

string (int64 format)

このポイントの合計費用(マイクロ秒単位)。

plannedProductReachForecasts[]

object (PlannedProductReachForecast)

この費用ポイントでの個々の商品の内訳。

forecast

object (PlannedProductForecast)

プラン全体の集計予測。

PlannedProductReachForecast

特定の商品のパフォーマンス予測。

JSON 表現
{
  "costMicros": string,
  "plannableProductCode": string,
  "plannedProductForecast": {
    object (PlannedProductForecast)
  }
}
フィールド
costMicros

string (int64 format)

この商品の費用(マイクロ単位)。

plannableProductCode

string

商品のコード。

plannedProductForecast

object (PlannedProductForecast)

商品のパフォーマンス指標。

PlannedProductForecast

予測ポイントのパフォーマンス指標。

JSON 表現
{
  "onTargetReach": string,
  "onTargetImpressions": string,
  "trueviewViews": string,
  "totalReach": string,
  "totalImpressions": string,
  "viewableImpressions": string,
  "onTargetCoviewReach": string,
  "totalCoviewReach": string,
  "onTargetCoviewImpressions": string,
  "totalCoviewImpressions": string
}
フィールド
onTargetReach

string (int64 format)

オンターゲットの定義に合致するリーチしたユニーク ユーザー数。

onTargetImpressions

string (int64 format)

オンターゲット インプレッション数。

trueviewViews

string (int64 format)

TrueView 視聴回数。

totalReach

string (int64 format)

リーチしたユニーク ユーザーの合計数。

totalImpressions

string (int64 format)

インプレッションの合計数。

viewableImpressions

string (int64 format)

視認可能な表示回数です。

onTargetCoviewReach

string (int64 format)

オンターゲットの定義に一致するリーチしたユニーク ユーザー数(共視聴者を含む)。

totalCoviewReach

string (int64 format)

リーチしたユニーク ユーザーの合計数(共視聴者を含む)。

onTargetCoviewImpressions

string (int64 format)

共視聴者を含むオンターゲット インプレッション数。

totalCoviewImpressions

string (int64 format)

共視聴者を含むインプレッションの合計数。